Name:          bochs
Version:       3.0
Release:       1mamba
Summary:       A highly portable open source IA-32 (x86) PC emulator written in C++
Group:         Applications/Emulators
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://bochs.sourceforge.io/
Source:        http://downloads.sourceforge.net/sourceforge/bochs/bochs-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END

%description
Bochs is a highly portable open source IA-32 (x86) PC emulator written in C++, that runs on most popular platforms. It includes emulation of the Intel x86 CPU, common I/O devices, and a custom BIOS.
Bochs is capable of running most Operating Systems inside the emulation including Linux, DOS, Windows® 95/98 and Windows® NT/2000/XP.

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/bochs
#%{_bindir}/bxcommit
%{_bindir}/bximage
#%{_bindir}/bximage_old
%dir %{_datadir}/bochs
%{_datadir}/bochs/*
%dir %{_docdir}/bochs
%{_docdir}/bochs/*
%{_mandir}/man1/bochs.1*
%{_mandir}/man1/bochs-dlx.1*
#%{_mandir}/man1/bxcommit.1*
%{_mandir}/man1/bximage.1*
#%{_mandir}/man1/bximage_old.1*
%{_mandir}/man5/bochsrc.5*
%doc CHANGES COPYING
#README README-plugins README.rfb README-wxWindows TODO

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 3.0-1mamba
- automatic version update by autodist

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 2.8-1mamba
- automatic version update by autodist

* Tue Sep 14 2021 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Fri Mar 27 2020 Automatic Build System <autodist@mambasoft.it> 2.6.11-1mamba
- automatic version update by autodist

* Sat Apr 22 2017 Automatic Build System <autodist@mambasoft.it> 2.6.9-1mamba
- automatic version update by autodist

* Sat May 16 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-1mamba
- automatic update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 2.6.7-1mamba
- automatic version update by autodist

* Tue Jul 01 2014 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic version update by autodist

* Mon Jun 09 2014 Automatic Build System <autodist@mambasoft.it> 2.6.5-1mamba
- automatic version update by autodist

* Tue May 28 2013 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sun Apr 21 2013 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Fri Dec 21 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Fri Jul 01 2011 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic update by autodist

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 2.3.7-2mamba
- automatic rebuild by autodist

* Fri Jul 18 2008 gil <puntogil@libero.it> 2.3.7-1mamba
- update to 2.3.7

* Mon Apr 24 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-1qilnx
- package created by autospec
